Subject: bug#57091: Git authentication reports subkey fingerprints

From: Ludovic Courtès <[email-masked]>
Date: Tue, 09 Aug 2022 23:07:19 +0200

Hello,

As Tobias explains at
<https://mail.gnu.org/archive/html/help-guix/2022-08/msg00073.html> and
as can be seen from ‘.guix-authorizations’, the (guix openpgp) and (guix
git-authenticate) machinery reports the fingerprint of subkeys on
signatures (when subkeys are used) rather than the fingerprint of
primary keys.

This should be changed to report primary keys, at least optionally.

Ludo’.